// Bewegung einer Kugel auf einem Kreis in der x-z-Ebene
// A. Filler, 2003
// HINWEIS: Um diese Datei als Video zu rendern, muss sich die Datei
//          Animation2-Kreis.ini IM SELBEN ORDNER BEFINDEN WIE DIESE
//          POV-RAY-DATEI. Gerendert werden muss die .ini-Datei, damit eine
//          Sequenz von Bildern fr ein Video entsteht.
// ---------------------------------------------------------------
#version 3.5;                  // bentigte POV-Ray-Version
#declare intervall = 3;        // Von der Kamera erfasster Bildausschnitt
#declare winkel =  - 60 ;      // Winkel der Kamera zur x-Achse (in Grad)
background {color rgb <1,1,1>}             // Farbe des Hintergrundes
// ---------------------------------------------------------------



sphere {  <10*cos(2*pi*clock),0,10*sin(2*pi*clock)>  1   texture{ pigment{rgb<0.2,0.2,1>} 
                                           finish{ ambient 0.4  diffuse 0.7  phong 0.3 reflection 0 }} 
       no_shadow}




#declare i=0;
  #while (i <= 200*clock)
   sphere {  <10*cos(2*pi*(i/200)),0,10*sin(2*pi*(i/200))>  0.1   texture{ pigment{rgb<0.2,0.2,1>} 
                                           finish{ ambient 0.4  diffuse 0.7  phong 0.3 reflection 0 }} 
       no_shadow}
  #declare i=i+1;
  #end




plane { y, -1 texture{ pigment{rgb<0.8,0.8,0.8>} finish{ ambient 0.6  diffuse 0.7  phong 0.3 reflection 0.2 }    }  } 

// ---------------------------------------------------------------------------
// Beschreibung der Kamera und der Lichtquellen
// ---------------------------------------------------------------------------
camera { orthographic
         location  <0,60,-40>
         angle 20
         look_at   <0,0,0> 
}
light_source { <8, 5, -15>  color rgb <1, 1, 1> }
light_source { <0,30,-20> }