// Bewegung einer Kugel auf einer Ellipse in der x-z-Ebene
// A. Filler, 2003
// HINWEIS: Um diese Datei als Video zu rendern, muss sich die Datei
//          POVRay-Animation-Ellipse.ini 
//          IM SELBEN ORDNER BEFINDEN WIE DIESE POV-RAY-DATEI. 
//          Gerendert werden muss die .ini-Datei, damit eine
//          Sequenz von Bildern fr ein Video entsteht.        
// ---------------------------------------------------------------
#version 3.5;                  // bentigte POV-Ray-Version
#declare intervall = 3;        // Von der Kamera erfasster Bildausschnitt
#declare winkel =  - 60 ;      // Winkel der Kamera zur x-Achse (in Grad)
background {color rgb <1,1,1>}             // Farbe des Hintergrundes
// ---------------------------------------------------------------

#declare tp = 2*clock;
#declare a = 10; 
#declare b = 4;


sphere {  <a*cos(2*pi*tp), 0, b*sin(2*pi*tp)>  1   
        texture{ pigment{rgb<0.2,0.2,1>} 
                 finish{ ambient 0.4  diffuse 0.7  phong 0.3 reflection 0 }} 
        no_shadow}


#declare i=0;
  #while (i <= 100*tp)
sphere {  < a*cos(2*pi*(i/100)), 0, b*sin(2*pi*(i/100))>  0.1   
        texture{ pigment{rgb<0.2,0.2,1>} 
                 finish{ ambient 0.4  diffuse 0.7  phong 0.3 reflection 0 }} 
       no_shadow}   
  #declare i=i+1;
  #end



// ---------------------------------------------------------------------------
// Beschreibung der Kamera und der Lichtquellen
// ---------------------------------------------------------------------------
camera { location  <0,100,0>
         angle 13
         look_at   <0,0,0> 
}
light_source { <8, 5, -15>  color rgb <1, 1, 1> }
light_source { <0,30,0> }

// ---------------------------------------------------------------------------
//Grundebene
// ---------------------------------------------------------------------------
  plane { y, -1  texture {
    pigment { checker color rgb <0.5, 0.5, 0.5>, color rgb <0.8, 0.8, 0.8> 
              scale 3 }  }   
    finish { ambient 0.8  diffuse 0.8  reflection 0.2 }  } 